> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# エクスポートリクエストのステータスを取得

> トランザクションStepエクスポートリクエストの現在のステータスを返します。ステータスが `Succeeded` になるまでこのエンドポイントをポーリングし、レスポンスの `totalFileCount` を使用して、各結果ファイルを 0 始まりのインデックスでダウンロードします。



## OpenAPI

````yaml /ja/openapi-reporting.json get /api/reporting/v2/exports/transaction-steps/{requestId}/status
openapi: 3.0.4
info:
  description: >-
    Vantage Reporting API は、文書処理に関する過去のデータ分析を行うためのデータを提供します。Business Processing
    Reporting Warehouse（トランザクションレベルのStepデータ）および Analytics Reporting
    Warehouse（手動確認中に行われた文書およびfieldの変更）から CSV
    レポートをダウンロードできます。データレポートをダウンロードできるのは、テナント管理者または Processing Supervisor
    のロールを持つユーザーのみです。両方のウェアハウスの概要については、[レポートサービス](/vantage/developer/reporting/reporting-service)ガイドを参照してください。
  title: Abbyy.Vantage.Reporting.Service
  version: '2.0'
  x-application-version: 1.5.2
servers:
  - description: 本番（米国）
    url: https://vantage-us.abbyy.com
  - description: 本番（欧州）
    url: https://vantage-eu.abbyy.com
  - description: 本番（オーストラリア）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps/{requestId}/status:
    get:
      tags:
        - Report
      summary: エクスポートリクエストのステータスを取得
      description: >-
        トランザクションStepエクスポートリクエストの現在のステータスを返します。ステータスが `Succeeded`
        になるまでこのエンドポイントをポーリングし、レスポンスの `totalFileCount` を使用して、各結果ファイルを 0
        始まりのインデックスでダウンロードします。
      operationId: GetExportStatus
      parameters:
        - description: エクスポート作成時のレスポンスで返される、エクスポートリクエストの ID。
          in: path
          name: requestId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
          description: OK
components:
  schemas:
    ReportRequestStatusResponse:
      additionalProperties: false
      properties:
        correlationId:
          description: |-
            レポート作成処理の相関 ID
            失敗またはキャンセルが発生した場合、相関 ID はその後の調査に役立ちます
          nullable: true
          type: string
        filters:
          allOf:
            - $ref: '#/components/schemas/AsyncStepReportFilters'
          description: レポートの生成に使用されたフィルター
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/ReportRequestStatus'
          description: リクエストの実際のステータス
        totalFileCount:
          description: |-
            処理が正常終了した場合の結果ファイル数
            結果ファイルにはインデックス番号でアクセスできます
          nullable: true
          type: string
      type: object
    AsyncStepReportFilters:
      additionalProperties: false
      properties:
        endDate:
          description: ステップ完了日時の最大値（空欄の場合は現在のUTC時刻）
          format: date-time
          type: string
        skillId:
          description: トランザクション Skill ID でフィルタリングします。Skill ID でフィルタリングしない場合は {NULL} を指定します
          nullable: true
          type: string
        startDate:
          description: トランザクション ステップの最短完了日
          format: date-time
          type: string
        transactionId:
          description: トランザクション ID でフィルターします。ID によるフィルターを適用しない場合は {NULL} を指定します
          nullable: true
          type: string
      required:
        - startDate
      type: object
    ReportRequestStatus:
      enum:
        - New
        - Queued
        - Processing
        - Succeeded
        - Failed
        - Cancelled
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
      type: oauth2

````